Package com.ocient.jdbc

# Class StPoint

java.lang.Object
com.ocient.jdbc.StPoint

public class StPoint extends Object

## Constructor Summary

Constructors
Constructor
Description
`StPoint(double lon, double lat)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getLatitude()`
`double`
`getLongitude()`
`double`
`getX()`
`double`
`getY()`
`String`
`toString()`
`void`
`writeXML(Document doc, Element docElement, String name, String description, int id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StPoint

public StPoint(double lon, double lat)

## Method Details

### getLatitude

public double getLatitude()

### getLongitude

public double getLongitude()

### getX

public double getX()

### getY

public double getY()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### writeXML

public void writeXML(Document doc, Element docElement, String name, String description, int id)